Subject: Re: bug#36139: [PATCH] Make better use of the switch op in cond forms

From: [email-masked]
Date: Mon, 10 Jun 2019 11:38:57 -0400

Drew Adams <[email-masked]> writes:

> Or in a file that redefines `memq' or whatever using `defun' or similar?
>
> (But I guess the same problem exists in the current code, wrt `eq' etc.?)

Redefining eq, equal, memq, or member with defun or advice is already
unreliable because they are translated to byte codes.  eql and memql are
not, so this patchset (specifically, the last 2 patches, I think) would
make the situation a bit worse for those functions, in that it would
prevent defun/advice override for eql and memql from applying in cond
forms.